Module org.hdfgroup.object
Package hdf.object.h5

# Class H5Utils

Object
hdf.object.h5.H5Utils

public final class H5Utils extends Object
HDF5 utility class

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `H5Utils()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static final long`
  `getTotalSelectedSpacePoints(long did, long[] dsetDims, long[] startDims, long[] selectedStride, long[] selectedDims, long[] spaceIDs)`
  Get the total number of datapoints for the hyperslab selection within a dataset.
  `static final long`
  `selectHyperslab(long did, long[] dsetDims, long[] startDims, long[] selectedStride, long[] selectedDims, long[] spaceIDs)`
  Set up a hyperslab selection within a dataset.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### H5Utils

    public H5Utils()

- ## Method Details

  - ### selectHyperslab

    public static final long selectHyperslab(long did, long[] dsetDims, long[] startDims, long[] selectedStride, long[] selectedDims, long[] spaceIDs) throws hdf.hdf5lib.exceptions.HDF5Exception
    Set up a hyperslab selection within a dataset.
    Parameters:
      `did` - IN dataset ID
      `dsetDims` - IN dimensions
      `startDims` - IN start dimensions
      `selectedStride` - IN selected stride values
      `selectedDims` - IN selected dimensions
      `spaceIDs` - IN/OUT memory and file space IDs -- spaceIDs[0]=mspace, spaceIDs[1]=fspace
    Returns:
      total number of data points selected
    Throws:
      `hdf.hdf5lib.exceptions.HDF5Exception` - If there is an error at the HDF5 library level.

  - ### getTotalSelectedSpacePoints

    public static final long getTotalSelectedSpacePoints(long did, long[] dsetDims, long[] startDims, long[] selectedStride, long[] selectedDims, long[] spaceIDs) throws hdf.hdf5lib.exceptions.HDF5Exception
    Get the total number of datapoints for the hyperslab selection within a dataset.
    Parameters:
      `did` - IN dataset ID
      `dsetDims` - IN dimensions
      `startDims` - IN start dimensions
      `selectedStride` - IN selected stride values
      `selectedDims` - IN selected dimensions
      `spaceIDs` - IN/OUT memory and file space IDs -- spaceIDs[0]=mspace, spaceIDs[1]=fspace
    Returns:
      total number of data points selected
    Throws:
      `hdf.hdf5lib.exceptions.HDF5Exception` - If there is an error at the HDF5 library level.